# Uses of Class
org.eclipse.core.databinding.observable.map.MapChangeEvent

Packages that use MapChangeEvent
Package
Description
org.eclipse.core.databinding.observable.map
Provides classes that can be used to observe changes in maps.

## Uses of MapChangeEvent in org.eclipse.core.databinding.observable.map

Methods in org.eclipse.core.databinding.observable.map with parameters of type MapChangeEvent
Modifier and Type
Method
Description
`protected void`
BidiObservableMap.`handleMapChange(MapChangeEvent<? extends K, ? extends V> event)`
`protected void`
DecoratingObservableMap.`handleMapChange(MapChangeEvent<? extends K, ? extends V> event)`
Called whenever a MapChangeEvent is received from the decorated observable.
`void`
IMapChangeListener.`handleMapChange(MapChangeEvent<? extends K, ? extends V> event)`
Handle a change an observable map.